<?xml version="1.0" encoding="UTF-8"?>
<build-type xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" uuid="d5dc7891-923c-446b-9468-f4853a342016" paused="true" xsi:noNamespaceSchemaLocation="https://www.jetbrains.com/teamcity/schemas/2020.1/project-config.xsd">
  <name>PHPUnit - PGSQL</name>
  <description />
  <settings>
    <options>
      <option name="artifactRules" value="test/artifacts/**/*" />
    </options>
    <disabled-settings>
      <setting-ref ref="RUNNER_16" />
    </disabled-settings>
    <parameters />
    <build-runners>
      <runner id="RUNNER_4" name="Build PHP Image" type="DockerCommand">
        <parameters>
          <param name="command.args" value="--pull" />
          <param name="docker.command.type" value="build" />
          <param name="docker.image.namesAndTags" value="test:build" />
          <param name="docker.push.remove.image" value="true" />
          <param name="dockerImage.platform" value="linux" />
          <param name="dockerfile.path" value="build/Dockerfile" />
          <param name="dockerfile.source" value="PATH" />
          <param name="teamcity.step.mode" value="default" />
        </parameters>
      </runner>
      <runner id="RUNNER_10" name="Pre Docker Compose" type="simpleRunner">
        <parameters>
          <param name="script.content"><![CDATA[if [ -d "artifacts" ]; then rm -Rf artifacts; fi
mkdir artifacts
if [ -d "db_dir" ]; then rm -Rf db_dir; fi]]></param>
          <param name="teamcity.build.workingDir" value="test" />
          <param name="teamcity.step.mode" value="default" />
          <param name="use.custom.script" value="true" />
        </parameters>
      </runner>
      <runner id="RUNNER_5" name="Start dependencies" type="DockerCompose">
        <parameters>
          <param name="dockerCompose.file" value="test/moodle/phpunit/docker-compose-pgsql.yml" />
          <param name="teamcity.step.mode" value="default" />
        </parameters>
      </runner>
      <runner id="RUNNER_20" name="Init PHPUnit" type="simpleRunner">
        <parameters>
          <param name="script.content"><![CDATA[docker ps
docker-compose logs
docker exec -w /var/www/html/moodle phpunit_webserver_1 rm config.php
docker exec -w /var/www/html/moodle phpunit_webserver_1 mv config-ci-pgsql.php config.php

docker exec -w /var/www/html/moodle phpunit_webserver_1 php composer.phar install
docker exec -w /var/www/html/moodle phpunit_webserver_1 php admin/tool/phpunit/cli/init.php]]></param>
          <param name="teamcity.build.workingDir" value="test" />
          <param name="teamcity.step.mode" value="default" />
          <param name="use.custom.script" value="true" />
        </parameters>
      </runner>
      <runner id="RUNNER_16" name="Perform PHPUnit Tests (Short)" type="simpleRunner">
        <parameters>
          <param name="script.content"><![CDATA[docker exec -w /var/www/html/moodle phpunit_webserver_1 vendor/bin/phpunit --testsuite core_rss_testsuite --log-junit /artifacts/junit.xml --coverage-html /artifacts/coverage/
ls artifacts]]></param>
          <param name="teamcity.build.workingDir" value="test" />
          <param name="teamcity.step.mode" value="default" />
          <param name="use.custom.script" value="true" />
        </parameters>
      </runner>
      <runner id="RUNNER_8" name="Perform PHPUnit Tests (Full)" type="simpleRunner">
        <parameters>
          <param name="script.content"><![CDATA[docker exec -w /var/www/html/moodle phpunit_webserver_1 vendor/bin/phpunit --log-junit /artifacts/junit.xml --coverage-html /artifacts/coverage/
ls artifacts]]></param>
          <param name="teamcity.build.workingDir" value="test" />
          <param name="teamcity.step.mode" value="default" />
          <param name="use.custom.script" value="true" />
        </parameters>
      </runner>
    </build-runners>
    <vcs-settings>
      <vcs-entry-ref root-id="DockerfiedMoodle_GitlabDockerfieldMoodle" />
    </vcs-settings>
    <requirements />
    <build-triggers>
      <build-trigger id="vcsTrigger" type="vcsTrigger">
        <parameters>
          <param name="branchFilter" value="+:*" />
          <param name="enableQueueOptimization" value="true" />
          <param name="quietPeriodMode" value="DO_NOT_USE" />
        </parameters>
      </build-trigger>
    </build-triggers>
    <build-extensions>
      <extension id="BUILD_EXT_3" type="xml-report-plugin">
        <parameters>
          <param name="xmlReportParsing.reportDirs" value="test/artifacts/*.xml" />
          <param name="xmlReportParsing.reportType" value="junit" />
        </parameters>
      </extension>
      <extension id="KEEP_RULE_5" type="keepRules">
        <parameters>
          <param name="keepData.1.type" value="everything" />
          <param name="limit.type" value="all" />
          <param name="partitions.1.type" value="perBranch" />
          <param name="preserveArtifacts" value="true" />
          <param name="ruleDisabled" value="false" />
        </parameters>
      </extension>
      <extension id="BUILD_EXT_5" type="BuildFailureOnMetric">
        <parameters>
          <param name="metricKey" value="VisibleArtifactsSize" />
          <param name="metricThreshold" value="1" />
          <param name="metricUnits" value="metricUnitsDefault" />
          <param name="moreOrLess" value="less" />
          <param name="withBuildAnchor" value="false" />
        </parameters>
      </extension>
    </build-extensions>
    <cleanup />
  </settings>
</build-type>

